# Uses of Interface
org.opensaml.saml.saml1.core.AuthenticationQuery

Packages that use AuthenticationQuery
Package
Description
org.opensaml.saml.saml1.core
Interfaces for SAML 1.0 and 1.1 types and elements.
org.opensaml.saml.saml1.core.impl
Implementations of SAML 1.x core specification types and elements.

## Uses of AuthenticationQuery in org.opensaml.saml.saml1.core

Methods in org.opensaml.saml.saml1.core that return AuthenticationQuery
Modifier and Type
Method
Description
`AuthenticationQuery`
Request.`getAuthenticationQuery()`
Get the request AuthenticationQuery.

## Uses of AuthenticationQuery in org.opensaml.saml.saml1.core.impl

Classes in org.opensaml.saml.saml1.core.impl that implement AuthenticationQuery
Modifier and Type
Class
Description
`class`
`AuthenticationQueryImpl`
Concrete implementation of the `AuthenticationQuery` interface.
Methods in org.opensaml.saml.saml1.core.impl that return AuthenticationQuery
Modifier and Type
Method
Description
`AuthenticationQuery`
AuthenticationQueryBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`AuthenticationQuery`
AuthenticationQueryBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`AuthenticationQuery`
RequestImpl.`getAuthenticationQuery()`
Get the request AuthenticationQuery.